/* ––––– HEADER ––––– */

header {
  --bg-dark: #191919;
  --bg-lighter: #2d2d2d;
  position: fixed;
  /* top: 0; */
  left: 0;
  z-index: 100;

  display: flex;
  align-items: center;
  width: 100%;
  background-color: var(--bg-dark);
  background-image: linear-gradient(
    90deg,
    var(--bg-dark) 0%,
    var(--bg-dark) 50%,
    var(--bg-lighter) 51%,
    var(--bg-lighter) 100%
  );
  height: var(--header-height);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}
header .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;

  height: 100%;
}

header .container > nav ul {
  display: flex;
  align-items: center;
}

header .container > nav ul > li {
  --link-padding: 22.5px 30px;

  color: var(--text-white);
  font-size: var(--text-xs);
  font-weight: 600;
  cursor: pointer;
}
header .container > nav ul > li a {
  position: relative;
  padding: var(--link-padding);
  isolation: isolate;

  cursor: pointer;
}
header .container > nav ul > li.active a::before {
  background-color: var(--color-primary);
  user-select: none;
  pointer-events: none;
}
header .container > nav ul > li a::before {
  content: "";
  position: absolute;
  inset: 0;
  width: calc(100% + var(--link-padding));
  height: calc(100% + var(--link-padding));
  z-index: -1;

  background-color: transparent;

  transform: skew(var(--skew));

  transition: background 0.3s ease;
}
@media (hover: hover) {
  header .container > nav ul > li a:hover::before {
    background-color: var(--color-primary);
  }
}

header .container > .contacts {
  position: relative;
  isolation: isolate;

  flex: 1;

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  width: 100%;
  height: 100%;
  padding: 0 20px;
  color: var(--text-white);

  background-color: var(--bg-brown);
}
header .container .contacts::before {
  content: "";
  display: block;
  width: 30px;
  height: 100%;

  position: absolute;

  left: -13px;
  z-index: -1;

  background-color: inherit;
  transform: skew(var(--skew));
}
header .container .contacts > span,
header .container .contacts > a {
  display: flex;
  align-items: center;
  gap: 6px;
  width: fit-content;

  opacity: 0.7;

  transition: opacity 0.3s ease;
}

@media (hover: hover) {
  header .container .contacts > a:hover,
  header .container .contacts > span:hover {
    opacity: 1;
  }
}

header .container .contacts > p {
  font-weight: 600;
}

header .container .langs {
  display: flex;
  padding: 12px 0;
  gap: 6px;
  color: var(--text-white);
}

@media screen and (max-width: 1280px) {
  header {
    background-image: unset;
  }
  header .container > nav {
    display: none;
  }
  header .container > .contacts {
    display: none;
  }
  header .container .langs {
    margin-left: auto;
    justify-content: flex-end;
  }
}
@media screen and (max-width: 1024px) {
}
@media screen and (max-width: 768px) {
}
@media screen and (max-width: 480px) {
}

/* ––––– HERO ––––– */

section.hero {
  background-color: var(--bg-secondary);
  overflow: hidden;
  padding-top: var(--header-height);
  padding-bottom: 0;
  display: grid;
  grid-template-columns: 1fr;
}
section.hero > * {
  grid-area: 1/1;
}

section.hero .hero__img {
  order: -1;
  height: 100%;
  width: 50%;
  margin-left: auto;
}
section.hero .hero__img picture {
  height: 100%;
}
section.hero .hero__img picture img {
  height: 100%;
  object-fit: cover;
  object-position: left center;
}

section.hero .hero__content {
  display: flex;
  flex-direction: column;
  gap: 40px;
  text-align: left;
  width: 50%;
  padding-top: var(--section-padding);
  padding-bottom: var(--section-padding);
}
section.hero .hero__content > h1 {
  font-size: var(--text-5xl);
  font-weight: 900;
  line-height: 1.1;
  color: var(--color-primary);
}
section.hero .hero__content > p {
  font-size: var(--text-lg);
  font-weight: 500;
  line-height: 1.25;
  color: var(--text-black);
}
section.hero .hero__content > span {
  font-size: var(--text-sm);
  font-weight: 400;
  color: var(--bg-brown);
}

@media screen and (max-width: 1280px) {
}
@media screen and (max-width: 1024px) {
}
@media screen and (max-width: 768px) {
  section.hero {
    background-color: var(--bg-primary);
    grid-template-rows: 200px 1fr;
  }
  section.hero > * {
    grid-area: unset;
  }

  section.hero .hero__img {
    width: 100%;
  }
  section.hero .hero__content {
    padding: 40px 0;
    padding-bottom: 0;
    width: 100%;
  }
}
@media screen and (max-width: 640px) {
  section.hero .hero__content > h1 {
    font-size: calc(var(--text-5xl) - 5px);
  }
}
@media screen and (max-width: 480px) {
}

/* ––––– ADVANTAGES ––––– */

section.advantages ul {
  --gap: 1rem;
  --line-offset: calc(var(--gap) / 2);
  --line-thickness: 1px;

  display: grid;
  grid-template-columns: repeat(3, 1fr);
  overflow: hidden;
}
section.advantages ul li {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 3;
  gap: 1rem;

  position: relative;

  padding: 35px 60px;
}

section.advantages ul li::before,
section.advantages ul li::after {
  content: "";
  position: absolute;

  z-index: 1;
  background-color: var(--bg-secondary);
}
section.advantages ul li::after {
  inline-size: 100vw;
  block-size: var(--line-thickness);
  inset-inline-start: 0;
  inset-block-start: calc(var(--line-offset) * -1);
}
section.advantages ul li::before {
  inline-size: var(--line-thickness);
  block-size: 100vh;
  inset-block-start: 0;
  inset-inline-start: calc(var(--line-offset) * -1);
}
section.advantages ul li > h3 {
  font-size: var(--text-md);
  font-weight: 900;
  color: #252525;
}
section.advantages ul li > p {
  font-size: var(--text-sm);
  color: var(--text-black);
}

@media screen and (max-width: 1280px) {
}
@media screen and (max-width: 1024px) {
  section.advantages ul {
    grid-template-columns: repeat(2, minmax(200px, 1fr));
  }
}
@media screen and (max-width: 768px) {
}
@media screen and (max-width: 640px) {
  section.advantages ul {
    grid-template-columns: 1fr;
  }
}
@media screen and (max-width: 480px) {
}

/* ––––– BANNER ––––– */

section.banner {
  position: relative;
}
section.banner::after {
  position: absolute;
  content: "";
  top: calc(50% + (var(--section-padding) / 2));
  left: 0;
  transform: translateY(-50%) skewY(5deg);

  display: block;
  height: calc(100% - (var(--section-padding) * 2));
  width: 100%;
  z-index: -1;
  background-color: var(--bg-secondary);
}

section.banner .banner__img {
  position: relative;
}
section.banner .banner__img::after {
  position: absolute;
  z-index: -1;
  content: none;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%) skewY(5deg);

  display: block;
  height: 70%;
  width: 100vw;
  background-color: var(--bg-secondary);
}
section.banner .container {
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap: 40px;
  align-items: center;
}
section.banner .banner__content {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
section.banner .banner__content > h2 {
  font-size: var(--text-3xl);
  font-weight: 900;
  color: var(--text-black);
}
section.banner .banner__content > p {
  font-size: var(--text-lg);
  font-weight: 500;
  color: var(--bg-brown);
}

@media screen and (max-width: 1280px) {
  section.banner .container {
    grid-template-columns: 1fr;
  }
  section.banner .banner__content {
    grid-row: 2;
  }

  section.banner::after {
    content: none;
  }
  section.banner .banner__img::after {
    content: "";
  }
}
@media screen and (max-width: 1024px) {
}
@media screen and (max-width: 768px) {
}
@media screen and (max-width: 640px) {
  section.banner {
    padding: 0;
  }
  section.banner .banner__content {
    gap: 2rem;
    align-items: center;
  }
}
@media screen and (max-width: 480px) {
}

/* ––––– SERVICES ––––– */

section.services ul {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: 10px;
}
section.services ul li {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 2;
  gap: 0;
  cursor: pointer;
  position: relative;
}
section.services ul li.active > span {
  background-color: var(--color-primary);
}
section.services ul li.active > span::after {
  transform: rotate(90deg);
}
section.services ul li > .popup-l {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 10;

  display: grid;
  gap: 1rem;
  grid-template-rows: 0fr;
  width: 100%;
  
  padding-inline: 1.6rem;
  background-color: var(--color-primary);

  transition: grid-template-rows 0.3s ease, padding 0.3s ease;
}
section.services ul li > .popup-l .popup-l__content {
  overflow: hidden;
  display: grid;
  gap: 1rem;
}
section.services ul li.active > .popup-l {
  grid-template-rows: 1fr;
  padding-block: 1rem;
}
section.services ul li.active > span::after {
  transform: rotate(-90deg) !important;
}
section.services ul li > .popup-l p {
  font-size: var(--text-sm);
  color: var(--text-white);
  line-height: 1.4;

  cursor: default;
}
section.services ul li > .popup-l .primary-btn {
  color: var(--color-primary);
  background-color: var(--bg-primary);
  display: block;
  width: 100%;
  text-align: center;
}
section.services ul li > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
section.services ul li > span {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;

  padding: 18px 26px;

  font-size: var(--text-md);
  font-weight: 900;

  color: var(--text-white);
  background-color: var(--bg-brown);

  transition: background 0.3s ease;
}
section.services ul li > span::after {
  content: url("https://cardreamlight.com.ua/wp-content/themes/cardream_light/assets/img/arrow.svg");
  transition: transform 0.3s ease;
}
@media (hover: hover) {
  section.services ul li:hover > span {
    background-color: var(--color-primary);
  }
  section.services ul li:hover > span::after {
    transform: rotate(90deg);
  }
}

@media screen and (max-width: 1280px) {
}
@media screen and (max-width: 1024px) {
}
@media screen and (max-width: 768px) {
  section.services ul {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}
@media screen and (max-width: 640px) {
}
@media screen and (max-width: 480px) {
  section.services ul {
    grid-template-columns: 1fr;
  }
}

/* ––––– BANNER-SECOND ––––– */

section.banner-second {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 3rem;
}
section.banner-second .banner-second__img {
  position: relative;
}
section.banner-second .banner-second__img::after {
  content: "";
  display: block;
  inset: 0;
  width: 101%;
  height: 101%;
  position: absolute;
  box-shadow: inset 10px 4px 50px 80px var(--text-white);
}

section.banner-second .banner-second__content {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
section.banner-second .banner-second__content > h2 {
  font-size: var(--text-3xl);
  font-weight: 900;
  color: #000000;
}

@media screen and (max-width: 1280px) {
}
@media screen and (max-width: 1024px) {
  section.banner-second {
    grid-template-columns: 1fr;
    padding-top: 0;
  }

  section.banner-second .banner-second__content h2 {
    font-size: var(--text-4xl);
  }
}
@media screen and (max-width: 768px) {
}
@media screen and (max-width: 640px) {
}
@media screen and (max-width: 480px) {
}

/* ––––– PRICING ––––– */

section.pricing {
  position: relative;
  overflow: hidden;
}
section.pricing::before {
  position: absolute;
  content: "";
  inset: 0;
  width: 100%;
  z-index: -1;

  background-color: #040608;
  background-image: url("https://cardreamlight.com.ua/wp-content/themes/cardream_light/assets/img/background_light.png");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  filter: brightness(0.2);
}

section.pricing .container > span {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 40%;

  margin: 0 auto;
  color: var(--text-white);
}
section.pricing .container > span h2 {
  font-size: var(--text-3xl);
  font-weight: 900;
  text-transform: uppercase;
  text-align: center;
}
section.pricing .container > span p {
  font-size: var(--text-lg);
  text-align: center;
}
section.pricing .container > span p span {
  color: var(--color-primary);
}

section.pricing ul {
  display: flex;
  flex-direction: column;
  margin-top: 60px;
}

section.pricing ul li {
  --padding-block: 20px;

  display: flex;
  justify-content: space-between;
  gap: 0.6rem;
  padding: 20px 0;
  position: relative;

  font-weight: 600;
  line-height: 1.2;
  color: var(--text-white);
}
section.pricing ul li:has(> span) {
  display: block;
}
section.pricing ul li > h3 {
  font-size: var(--text-xl);
  font-weight: inherit;
}
section.pricing ul li > p {
  display: flex;
  gap: 5px;
  align-items: end;
  font-size: var(--text-sm);
  font-weight: inherit;
  line-height: 1;
}
section.pricing ul li > span {
  margin-top: var(--padding-block);

  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

section.pricing ul li > p > span,
section.pricing ul li > span > p > span {
  font-size: var(--text-5xl);
  font-weight: inherit;
  line-height: 0.8;
}
section.pricing ul li::before {
  position: absolute;
  content: "";
  top: calc(-1 * (var(--padding-block) / 4));
  left: 0;
  width: 100%;
  height: 1px;
  background-color: var(--text-white);
  opacity: 0.2;
}

section.pricing .primary-btn {
  margin: 60px auto 0;
}

@media screen and (max-width: 1280px) {
}
@media screen and (max-width: 1024px) {
}
@media screen and (max-width: 768px) {
  section.pricing .container > span {
    width: 100%;
  }
  section.pricing ul li {
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    text-align: center;
  }
  section.pricing ul li:has(> span) {
    text-align: center;
  }
  section.pricing ul li > span {
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
  }
}
@media screen and (max-width: 640px) {
}
@media screen and (max-width: 480px) {
}

/* ––––– MAP ––––– */

section.map {
  position: relative;
  padding: unset;
}

section.map .map__addon {
  position: absolute;
  top: 0;
  left: 0;
  width: 40%;
  height: 100%;

  background-color: #ffffffcc;
}

section.map .map__addon .map__addon-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1rem;
  width: 40%;
  height: 100%;
  margin-left: auto;
  margin-right: 60px;
}
section.map .map__addon .map__addon-content h2 {
  font-size: var(--text-3xl);
  font-weight: 900;
  text-align: center;
  color: var(--color-primary);
}

section.map .map__addon .map__addon-content > div {
  display: grid;
  justify-items: center;
  gap: 2rem;
}

section.map .map__addon .map__addon-content > div > div h3 {
  font-size: var(--text-sm);
  font-weight: 600;
  text-align: center;
  color: var(--color-primary);
}

section.map .map__addon .map__addon-content > div > div p {
  font-size: var(--text-md);
  font-weight: 600;
}
section.map .map__addon-content__contacts {
  display: grid;
  gap: 0.5rem;
}
section.map .map__addon-content__contacts div {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
section.map .map__addon .map__addon-content > div > a {
  display: flex;
  align-items: center;
  gap: 6px;
  font-size: var(--text-md);
}
section.map .map__addon .map__addon-content > div > div > div img:last-child {
  mix-blend-mode: difference;
}

section.map iframe {
  width: 100%;
}

@media screen and (max-width: 1280px) {
}
@media screen and (max-width: 1024px) {
}
@media screen and (max-width: 768px) {
  section.map .map__addon {
    width: 100%;
  }
  section.map .map__addon .map__addon-content {
    width: 100%;
    margin-right: unset;
    align-items: center;
  }
}
@media screen and (max-width: 640px) {
}
@media screen and (max-width: 480px) {
  section.map .map__addon .map__addon-content > div > div h3 {
    font-size: calc(var(--text-sm) * 1.2);
  }
}

/* ––––– FOOTER ––––– */

footer {
  padding: 30px 0;
  background-color: var(--bg-black);
  color: var(--text-white);
}

footer .container {
  display: grid;
  grid-auto-flow: column;
  align-items: center;
  gap: 20px;
}
footer .developer {
  font-size: var(--text-xs);
}
footer .container .langs {
  display: flex;
  gap: 6px;
  color: var(--text-white);
}

footer .container div {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
footer .container > a {
  display: flex;
  align-items: center;
  gap: 8px;
  opacity: 0.8;
}

footer .container div > span {
  display: flex;
  gap: 6px;
  align-items: center;
}

@media screen and (max-width: 1280px) {
  footer .container {
    grid-template-columns: repeat(2, 1fr);
    grid-auto-flow: unset;
  }
  footer .container .langs {
    grid-column: 2/3;
    grid-row: 1/2;
  }
  footer .container > div:first-of-type {
    grid-row: 3/4;
  }
}
@media screen and (max-width: 1024px) {
}
@media screen and (max-width: 768px) {
}
@media screen and (max-width: 640px) {
}
@media screen and (max-width: 480px) {
  footer .container {
    grid-template-columns: 1fr;
    place-items: center;
  }
  footer .container > div {
    text-align: center;
  }
  footer .container > div span {
    justify-content: center;
    text-align: center;
  }

  footer .container .langs {
    grid-area: auto;
  }
  footer .container > div:first-of-type {
    grid-row: 5/6;
  }
}
